/// © MiroZ 2024

#include <stdint.h>
#include <Arduino.h>
#include "bootloader_random.h"
#include <esp_log.h>
#include <SPI.h>
#include <errno.h>
#include "TaskMgr.h"
#include "esp_task_wdt.h"

#include "App.h"


static const char * TAG = "main";

extern "C" void app_main(void)
{
	bootloader_random_enable();
	initArduino();

	ESP_ERROR_CHECK(esp_task_wdt_init(15, false));

	App * app = new App();
	app->init();
	app->start();

	// we're no longer needed
	vTaskDelete(NULL);
}